﻿/*
	CSS-kod till RWD
*/
body {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

* {
    box-sizing: border-box;
}

header {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
}

nav {
    background-color: #eeeeee;
}

#flex {
    display: flex;
    flex-wrap: wrap;
    min-height: 100vh;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

nav li a {
    display: block;
    color: white;
    padding: 5px;
    text-decoration: none;
    text-align: center;
}

li {
    background-color: rgb(1, 50, 0);
    margin: 10px;
}

nav li a:hover {
    background-color: #555;
    color: white;
}

section {
    padding: 10px;
}

aside {
    background-color: #cccccc;
    padding: 5px;
}

footer {
    margin-top: auto;
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
}

header,
nav,
section,
aside,
footer {
    width: 100%;
}

@media only screen and (min-width:768px) {
    nav {
        width: 25%;
    }

    section {
        width: 75%;
    }

    aside {
        width: 100%;
    }
}

@media only screen and (min-width:992px) {
    nav {
        width: 25%;
    }

    section {
        width: 58%;
    }

    aside {
        width: 17%;
    }
}

nav,
aside {
    height: fit-content;
}

@media only screen and (min-width:1200px) {
    #nav ul {
        display: flex;
    }

    #nav ul li {
        margin-top: 0px;
        margin-right: 20px;
    }

}

picture img,
picture {
    width: 550px;
    max-width: 100%;
}

iframe {
    max-width: 100%;
}